#
# spec file for package device-mapper (Version 1.02.27)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           device-mapper
License:        GPL v2 or later; LGPL v2.1 or later
Group:          System/Base
AutoReqProv:    on
# bug437293
%ifarch ppc64
Obsoletes:      device-mapper-64bit
%endif
%ifarch  ppc
Obsoletes:      device-mapper-32bit
%endif
#
Version:        1.02.27
Release:        7.2
Summary:        Device Mapper Tools
Source:         device-mapper.%{version}.tar.bz2
Source1:        boot.device-mapper
Source2:        mkinitrd-setup.sh
Source3:        mkinitrd-boot.sh
Patch:          k_dev_t.dif
Patch1:         %{name}-dmsetup-export.patch
Patch2:         %{name}-gcc-warnings.patch
Patch3:         %{name}-static.patch
Patch4:         %{name}-nochown.patch
Patch5:         wait_udev.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libselinux-devel
PreReq:         %insserv_prereq %fillup_prereq

%description
Programs, libraries, and man pages for configuring and using the device
mapper.



Authors:
--------
    Joe Thornber <thornber@sistina.com>

%package devel
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Development package for the device mapper
Group:          System/Base
Requires:       %name = %version

%description devel
Files needed for software development using the device mapper



Authors:
--------
    Joe Thornber <thornber@sistina.com>

%prep
%setup -n device-mapper.%{version}
%patch
%patch1 -p1
%patch2 -p1
%patch3
%patch4
%patch5

%build
CFLAGS="$RPM_OPT_FLAGS" \
%configure --bindir=/bin --libdir=/%_lib --sbindir=/sbin --enable-dmeventd \
           --enable-selinux \
           --with-dmeventd-path=/sbin/dmeventd \
           --with-device-uid=0 --with-device-gid=6 --with-device-mode=0640
make %{?jobs:-j %jobs}

%install
%makeinstall
make libdir=$RPM_BUILD_ROOT/%_libdir install_static_lib
ln -s /%_lib/libdevmapper.so.1.02 $RPM_BUILD_ROOT/%_libdir/libdevmapper.so
ln -s /%_lib/libdevmapper-event.so.1.02 $RPM_BUILD_ROOT/%_libdir/libdevmapper-event.so
rm $RPM_BUILD_ROOT/%_lib/libdevmapper.so
rm $RPM_BUILD_ROOT/%_lib/libdevmapper-event.so
install -m 744 scripts/devmap_mknod.sh $RPM_BUILD_ROOT/sbin/
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 744 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d
install -d $RPM_BUILD_ROOT/lib/mkinitrd/scripts
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/lib/mkinitrd/scripts/setup-dm.sh
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/lib/mkinitrd/scripts/boot-dm.sh

%post
%{run_ldconfig}
[ -x /sbin/mkinitrd_setup ] && mkinitrd_setup
%{fillup_and_insserv -y boot.device-mapper}

%postun
%{run_ldconfig}
[ -x /sbin/mkinitrd_setup ] && mkinitrd_setup
%{insserv_cleanup}

%files
%defattr(-,root,root)
%doc INSTALL COPYING COPYING.LIB INTRO README
%config /etc/init.d/boot.device-mapper
/%_lib/libdevmapper.so.1.02
/%_lib/libdevmapper-event.so.1.02
/sbin/dmsetup
/sbin/dmeventd
/sbin/devmap_mknod.sh
%{_mandir}/man8/dmsetup.8.gz
%dir /lib/mkinitrd
%dir /lib/mkinitrd/scripts
/lib/mkinitrd/scripts/setup-dm.sh
/lib/mkinitrd/scripts/boot-dm.sh

%files devel
%defattr(-,root,root)
/%_libdir/libdevmapper.so
/%_libdir/libdevmapper-event.so
%attr(644, root, root) %_libdir/libdevmapper.a
/usr/include/libdevmapper.h
/usr/include/libdevmapper-event.h

%changelog
* Tue Dec  9 2008 ro@suse.de
- remove ix86 from ifarch statement obsoleting 32bit package
* Wed Nov  5 2008 werner@suse.de
- As boot.crypto depends on boot.device-mapper, the later one has
  even on shutdown to depend on boot.udev to make sure that events
  will be processed (bnc#413059)
* Thu Oct 30 2008 olh@suse.de
- obsolete old -XXbit packages (bnc#437293)
* Sat Sep 13 2008 xwhu@suse.de
- Fix typo for correct compiling
- Timeout if udevd's not running (bnc#425436)
* Wed Sep 10 2008 xwhu@suse.de
- update to 1.02.27
  Align struct memblock in dbg_malloc for sparc.
  Add --unquoted and --rows to dmsetup.
  Avoid compiler warning about cast in dmsetup.c's OFFSET_OF macro.
  Fix inverted no_flush debug message.
  Remove --enable-jobs from configure. (Set at runtime instead.)
  Bring configure.in and list.h into line with the lvm2 versions.
* Wed Sep  3 2008 hare@suse.de
- Call mkinitrd_setup during %%post and %%postun (bnc#413709)
* Mon Aug 25 2008 prusnak@suse.cz
- enabled SELinux support [Fate#303662]
* Fri Aug 22 2008 xwhu@suse.de
- Remove the -p option for fillup_and_insserv
* Wed Aug 13 2008 xwhu@suse.de
- Add Should-Stop to boot.device-mapper
* Wed Jul 23 2008 hare@suse.de
- Include mkinitrd scriptlets.
* Wed Jul 16 2008 xwhu@suse.de
- repack device-mapper.1.02.26.tar.bz2 into bzip2.
- change the owner of device to root:disk, with permission
  0640 (bnc#407952)
* Tue Jun 24 2008 xwhu@suse.de
- update to new version 1.02.26
  Initialise params buffer to empty string in _emit_segment.
  Skip add_dev_node when ioctls disabled.
  Make dm_hash_iter safe against deletion.
  Accept a NULL pointer to dm_free silently.
  Add tables_loaded, readonly and suspended columns to reports.
  Add --nameprefixes to dmsetup.
  Add field name prefix option to reporting functions.
  Calculate string size within dm_pool_grow_object.
  Remove redundant if-before-free tests.
  Use log_warn for reporting field help text instead of log_print.
  Change cluster mirror log type name (s/clustered_/clustered-/)
* Fri May 30 2008 xwhu@suse.de
- Hold on mknod until udev finish it's job.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Feb 27 2008 dmueller@suse.de
- fix static library installation again
* Tue Feb 26 2008 dmueller@suse.de
- fix "binary contains trace of $RPM_BUILD_ROOT" failure
* Thu Feb  7 2008 hare@suse.de
- Enable dmeventd (FATE#303381)
* Thu Jan 31 2008 fehr@suse.de
- update to new version 1.02.24
  Fix deptree to pass new name to _resume_node after a rename.
  Suppress other node operations if node is deleted.
  Report error when empty device name passed to readahead functions.
* Mon Dec 10 2007 fehr@suse.de
- update to new version 1.02.23
  Add readahead support to libdevmapper and dmsetup.
  Fix double free in a libdevmapper-event error path.
  Allow a DM_DEV_DIR environment variable to override /dev.
* Thu Nov 22 2007 fehr@suse.de
- update to new version 1.02.22
  Fix inconsistent licence notices: executables are GPLv2; libraries LGPLv2.1.
  Fix dmsetup -o devno string termination.
  Fix default dmsetup report buffering and add --unbuffered.
  Add tree-based and dependency fields to dmsetup reports.
* Mon May  7 2007 kay.sievers@suse.de
- update to new version 1.02.19
  Avoid trailing separator in reports when there are hidden sort fields.
  Fix segfault in 'dmsetup status' without --showkeys against crypt target.
  Migrate dmsetup column-based output over to new libdevmapper report framework.
  Add descriptions to reporting field definitions.
  Add basic reporting functions to libdevmapper.
- remove dmsetup option patch (upstream provides it)
- add dmsetup export command
* Sun Feb 11 2007 ro@suse.de
- fix build as non-root
* Tue Jan 16 2007 fehr@suse.de
- remove superfluouus /lib/libdevmapper.so (#235359)
- add call to ldconfig (#235359)
* Wed Dec  6 2006 fehr@suse.de
- update to new version 1.02.13
  Update dmsetup man page (setgeometry & message).
  Fix dmsetup free after getline with debug.
  Suppress encryption key in 'dmsetup table' output unless --showkeys supplied.
* Mon Oct 16 2006 fehr@suse.de
- update to new version 1.02.12
  Avoid deptree attempting to suspend a device that's already suspended.
  Add suspend noflush support.
  Add basic dmsetup loop support.
  Switch dmsetup to use dm_malloc and dm_free.
* Wed Sep 20 2006 fehr@suse.de
- update to new version 1.02.10
  Add dm_snprintf(), dm_split_words() and dm_split_lvm_name() to libdevmapper.
  Reorder mm bounds_check code to reduce window for a dmeventd race.
* Thu Sep 14 2006 mkoenig@suse.de
- fixed permissions for static lib
- removed static lib version extension
* Tue Sep 12 2006 hvogel@suse.de
- split device-mapper-devel subpackage
- install static libs (needed to link cryptsetup from
  util-linux-crypto static)
* Wed Aug 30 2006 hare@suse.de
- Fix gcc warnings
- Fix field display for 'dmsetup info'.
* Wed Aug 30 2006 hare@suse.de
- Add 'major', 'minor', and 'uuid' as valid fields for
  'dmsetup info -o XXX'.
* Wed Aug 16 2006 fehr@suse.de
- update to new version 1.02.09
  Add --table argument to dmsetup for a one-line table.
  Abort if errors are found during cmdline option processing.
  Add lockfs indicator to debug output.
* Wed Jul 26 2006 fehr@suse.de
- update to new version 1.02.08
  Update dmsetup man page.
  Add --force to dmsetup remove* to load error target.
  dmsetup remove_all also performs mknodes.
  Don't suppress identical table reloads if permission changes.
  Fix corelog segment line.
* Mon May 22 2006 fehr@suse.de
- update to new version 1.02.07
  Add DM_CORELOG flag to dm_tree_node_add_mirror_target().
  Avoid a dmeventd compiler warning.
- update to new version 1.02.06
  Move DEFS into configure.h.
  Fix leaks in error paths found by coverity.
  Remove dmsetup line buffer limitation.
* Thu Apr 20 2006 fehr@suse.de
- update to new version 1.02.05
  Separate install_include target in makefiles.
  Separate out DEFS from CFLAGS.
  Support pkg-config.
  Check for libsepol.
* Wed Apr 19 2006 fehr@suse.de
- update to new version 1.02.04
  Bring dmsetup man page up-to-date.
  Use name-based device refs if kernel doesn't support device number refs.
  Fix memory leak (struct dm_ioctl) when struct dm_task is reused.
  If _create_and_load_v4 fails part way through, revert the creation.
  dmeventd thread/fifo fixes.
  Add file & line to dm_strdup_aux().
  Add setgeometry.
* Tue Mar 14 2006 fehr@suse.de
- update to new version 1.02.03
  Add exported functions to set uid, gid and mode.
  Rename _log to dm_log and export.
  Add dm_tree_skip_lockfs.
  Fix dm_strdup debug definition.
  Fix hash function to avoid using a negative array offset.
  Don't inline _find in hash.c and tidy signed/unsigned etc.
  Fix libdevmapper.h #endif.
  Fix dmsetup version driver version.
  Add sync, nosync and block_on_error mirror log parameters.
  Add hweight32.
  Fix dmeventd build.
* Thu Mar  2 2006 hare@suse.de
- Do not call devmap_mknod.sh (#150818)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 fehr@suse.de
- fix exit code of "dmsetup version" (#144794)
* Mon Jan 23 2006 fehr@suse.de
- add boot.udev to Required-Start section of init script (#144586)
* Tue Dec  6 2005 fehr@suse.de
- update to new version 1.02.02
* Tue Sep 27 2005 fehr@suse.de
- update to new version 1.01.05
* Wed Sep 21 2005 fehr@suse.de
- increase ioctl buffer size from 16k to 256k to allow larger number
  of dm device visible by "dmsetup ls" and "dmsetup table"
* Wed Aug  3 2005 fehr@suse.de
- update to new version 1.01.04
* Thu Jun 30 2005 meissner@suse.de
- use RPM_OPT_FLAGS.
* Tue Jun 14 2005 fehr@suse.de
- update to new version 1.01.03
* Wed May 18 2005 fehr@suse.de
- update to new version 1.01.02
* Mon Apr 11 2005 fehr@suse.de
- use -py instead of -pY as option for fillup_and_insserv (#76689)
- update to new version 1.01.01
* Tue Jan 18 2005 fehr@suse.de
- update to new version 1.01.00
* Tue Jan 11 2005 fehr@suse.de
- update to new version 1.00.21
* Thu Aug 26 2004 fehr@suse.de
- /dev/mapper directory is now part of devs.rpm (#44258)
* Wed Jul 14 2004 fehr@suse.de
- update to new version 1.00.19
* Thu May 27 2004 fehr@suse.de
- do not unload dm modules on shutdown, this hangs on some machines
* Sat Apr 10 2004 aj@suse.de
- devicemapper does not need 2.6 kernelsources.
* Thu Apr  1 2004 fehr@suse.de
- update to new version 1.00.09
* Tue Mar 16 2004 fehr@suse.de
- fix typo in start script (#36168)
* Mon Mar 15 2004 fehr@suse.de
- do not depend on existence of /dev/mapper dir (#35825)
* Tue Mar  2 2004 ro@suse.de
- remove root-fsck stuff in bootscript
- instead depend on boot.rootfsck
* Fri Dec  5 2003 fehr@suse.de
- update to new version 1.00.07
* Mon Nov 17 2003 odabrunz@suse.de
- fix spec file to make it compile with both new and old glibc
  (__kernel_dev_t)
* Thu Oct  2 2003 fehr@suse.de
- add fix to make it compile with new glibc (use __kernel_old_dev_t)
* Thu Sep 18 2003 fehr@suse.de
- fix boot.devicemapper to cope with LABEL= and UUID= in /etc/fstab
  also check reiser filesystem (#31060)
* Wed Sep 17 2003 fehr@suse.de
- add comment when remounting root fs read-only (#31060)
* Tue Sep 16 2003 kukuk@suse.de
- Add missing PreRequires [Bug #31006]
* Tue Sep  2 2003 fehr@suse.de
- update to version 1.00.05
* Mon Aug 25 2003 fehr@suse.de
- update to version 1.00.04
* Thu Aug 21 2003 fehr@suse.de
- update to version 1.00.03
* Mon Aug 18 2003 garloff@suse.de
- (#29083) Add # X-UnitedLinux-Should-Start: boot.scsidev
* Fri Jul 25 2003 fehr@suse.de
- update to version 1.00.02
* Tue Jul  1 2003 fehr@suse.de
- add boot script for automated startup in system
- fix typos in boot script
* Mon Jun 30 2003 fehr@suse.de
- created initial version of a SuSE package
